<?php

defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');

class PlgSystemPoper extends JPlugin
{
    public function __construct(&$subject, $config = array())
    {
        parent::__construct($subject, $config);
        $this->loadLanguage();
    }

    public function onAfterRender()
    {
        // Access user input from config
        $poper_email = $this->params->get('poper_email');
        
        if( isset($poper_email) ){
          $buffer = JFactory::getApplication()->getBody();
          $javascript = "
          <script 
          id='poper-js-script' 
          data-account-id='" . md5($poper_email) . "'
          src='https://app.poper.ai/share/poper.js'
          defer
          ></script>
          <script>
          window.Poper = window.Poper || [];
          window.Poper.push({
          accountID: '" . md5($poper_email) . "',
          });
          </script>
          ";
          $buffer = preg_replace("/<\/head>/", "\n\n" . $javascript . "\n\n</head>", $buffer);
          JFactory::getApplication()->setBody($buffer);
        }
    }
}